<?xml version="1.0" encoding="UTF-8"?>
<!-- This is the XSL to render the export telemetry log Information page. The associated web plugin is the ADExportTelemetryLogWebPlugin. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:import href="Utils.xsl"/>
	<xsl:template match="OMA">
	<xsl:call-template name="scripts"/>
		<DataArea printable="false" email="false" validate="true" Refresh="false" export="false" exportdata="false">
		<xsl:attribute name="submitdisplay"><xsl:value-of select="$strTelemetryLog"/></xsl:attribute>
		<xsl:attribute name="submit"></xsl:attribute>			
		
		<script language="javascript">			 
			
			function validate(){
			
				var action = '<xsl:value-of select="/OMA/Action"/>';				
				var ADExecuteTelemetryLogUrl = "./SubmitForm?plugin=com.dell.sm.webplugins.ADExecuteActionWebPlugin&amp;ControllerOID=<xsl:value-of select="/OMA/ControllerOID"/>&amp;ControllerName=<xsl:value-of select="/OMA/ControllerName"/>&amp;Action=<xsl:value-of select="/OMA/Action"/>&amp;ADiskOID=<xsl:value-of select="/OMA/ADiskOID"/>&amp;ADiskName=<xsl:value-of select="/OMA/ADiskName"/>&amp;ChannelOID=<xsl:value-of select="/OMA/ChannelOID"/>&amp;EnclosureOID=<xsl:value-of select="/OMA/EnclosureOID"/>&amp;CurrentUrl=<xsl:value-of select="/OMA/CurrentUrl"/>&amp;help=adprin";
				var fileName = document.getElementById("FileName").value;	
				fileName = fileName.replace(/^\s+|\s+$/gm,'');	//removing spaces from both ends

				if(!isValidFileName(fileName)){										
					alert("<xsl:value-of select="$strError"/>" + "<xsl:value-of select="$strInvalidFileName"/>");
					return false;						
				}
				
				ADExecuteTelemetryLogUrl = ADExecuteTelemetryLogUrl + "&amp;FileName=" + fileName;
								
				document.dataarea.action = top.gnv.appendVID(ADExecuteTelemetryLogUrl);
				document.dataarea.submit();			
			}
			
			
			function isValidFileName(fileName){

				var reservedfilenames=/^(null|prn|nul|aux|con|lpt[0-9]|com[0-9])(\.|$)/i; // reserved file names
				var notInvalidchars=/^[^\\/:\*\?"&lt;&gt;\|]+$/; // invalid chars 
				
				if(fileName == "" || (notInvalidchars.test(fileName) &amp;&amp; !reservedfilenames.test(fileName)))
				{			
					return true;				
				}
				return false;
			
			}
		</script>
		
			<PageTitle>
			  <xsl:attribute name="display"><xsl:value-of select="$strTelemetryLog"/></xsl:attribute>
			</PageTitle>
			<!--PromptText ignoreoncli="true"-->
			<AlertMessage>
				<xsl:choose>
					<xsl:when test="DeviceType = '101'">
						<xsl:attribute name="display"><xsl:value-of select="$strSubHeaderNVME"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="display"><xsl:value-of select="$strSubHeaderPCIe"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>			     
			</AlertMessage>	 
			<!--/PromptText-->
			<ListData columnspacing="true">
			    
				<Data name="HostName" editable="false" type="ustring">
			        <xsl:attribute name="display"><xsl:value-of select="$strHostName"/></xsl:attribute>
			        <xsl:choose>
					   <xsl:when test="(RemoteHostName) and RemoteHostName != '' and ServerHostName != RemoteHostName">
					      <xsl:attribute name="value"><xsl:value-of select="RemoteHostName"/></xsl:attribute>
					   </xsl:when>
					   <xsl:otherwise>
					      <xsl:attribute name="value"><xsl:value-of select="ServerHostName"/></xsl:attribute>
					   </xsl:otherwise>
				    </xsl:choose>
		       </Data>
				<Data name="Path" editable="false" type="ustring">
				   <xsl:attribute name="display"><xsl:value-of select="$strPath"/></xsl:attribute>
				    <xsl:attribute name="value"><xsl:value-of select="LoggingPath/DCStorageObject/LoggingPath"/></xsl:attribute>
				</Data>
				<Data name="FileName" type="editbox" maxlength="75" colspan="1" >
					<xsl:attribute name="display"><xsl:value-of select="$strFileName"/></xsl:attribute>
					<xsl:attribute name="value"/>
					<xsl:attribute name="unit"><xsl:value-of select="$strLog"/></xsl:attribute>
				</Data>
				
		    </ListData>	
			<xsl:call-template name="Export"/>
	
		</DataArea>
		
	</xsl:template>
	<xsl:template name="Export">
		<BottomCustomButton>
			<Data>
				<xsl:variable name="dfltBkPg">./DataArea?plugin=com.dell.sm.webplugins.ControllerInfoWebPlugin&amp;ControllerOID=<xsl:value-of select="ControllerOID"/>&amp;ControllerName=<xsl:value-of select="ControllerName"/>&amp;help=cnprin</xsl:variable >
				<xsl:attribute name="href"><xsl:call-template name="BackPage"><xsl:with-param name="defaultBackPage" select="$dfltBkPg"/></xsl:call-template></xsl:attribute>
				<xsl:attribute name="display"><xsl:value-of select="$strPrevPage"/></xsl:attribute>
			</Data>
		</BottomCustomButton>
	</xsl:template>
</xsl:stylesheet>
