<?xml version="1.0" encoding="UTF-8"?>
<!-- This is the XSL to render the xsl page to set controller mode attributes.  The associated web plugin is the ControllerExecWebPlugin. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- Include some common templates created by SS -->
	<xsl:import href="Utils.xsl"/>
	<xsl:template match="OMA">
		<!--xsl:call-template name="scripts"/-->
		<DataArea printable="false" email="false" validate="true" Refresh="false" exportdata="false" onLoad="true">
			<xsl:attribute name="submit">./SubmitForm?plugin=com.dell.sm.webplugins.ADExecuteActionWebPlugin&amp;ControllerOID=<xsl:value-of select="ControllerOID"/>&amp;ControllerName=<xsl:value-of select="ControllerName"/>&amp;EnclosureOID=<xsl:value-of select="EnclosureOID"/>&amp;ADiskOID=<xsl:value-of select="ArrayDiskOID"/>&amp;Action=<xsl:value-of select="Action"/>&amp;RaidLayout=<xsl:value-of select="RaidLayout"/>&amp;VDMemberPage=<xsl:value-of select="VDMemberPage"/>&amp;VirtualDiskName=<xsl:value-of select="VirtualDiskName"/>&amp;VirtualDiskOID=<xsl:value-of select="VirtualDiskOID"/>&amp;ChannelOID=<xsl:value-of select="ChannelOID"/>&amp;help=cnprin&amp;BackToURL=<xsl:value-of select="BackToURL"/></xsl:attribute>
			<xsl:attribute name="submitdisplay"><xsl:value-of select="$strApply"/></xsl:attribute>

			<xsl:variable name="dfltBkPg"><xsl:value-of select="returnURL"/></xsl:variable >
			<xsl:attribute name="backpagetarget"><xsl:call-template name="BackPage"><xsl:with-param name="defaultBackPage" select="$dfltBkPg"/></xsl:call-template></xsl:attribute>
			<xsl:attribute name="backpagedisplayfull"><xsl:value-of select="$strPrevPage"/></xsl:attribute>

			<PageTitle>
				<xsl:attribute name="display">
					<xsl:value-of select="$strTitlePart1"/>
					<!--xsl:value-of select="ControllerName"/>
					<xsl:value-of select="$strTitlePart2"/-->
				</xsl:attribute>
			</PageTitle>
			<!--xsl:call-template name="SetControllerMode"/-->
			<TableData name="T" display="">
				<xsl:if test="/OMA/DiskCachePolicyMask">
					<Row>
						<Data><xsl:attribute name="value"><xsl:value-of select="$strDiskCachePolicy"/></xsl:attribute></Data>
						<Data name="cache" type="select">
						<Choice>
							<xsl:attribute name="value"><xsl:call-template name="GetDiskCachePolicy"><xsl:with-param name="DiskCachePolicy"><xsl:value-of select="/OMA/DiskWriteCache"/></xsl:with-param></xsl:call-template></xsl:attribute>
							<xsl:attribute name="returnvalue"><xsl:value-of select="/OMA/DiskWriteCache"/></xsl:attribute>
						</Choice>
						<xsl:call-template name="for-loop-list-box">
							<xsl:with-param name="Mask" select="/OMA/DiskCachePolicyMask"/>
							<xsl:with-param name="currPolicy" select="/OMA/DiskWriteCache"/>
							<xsl:with-param name="templateName" select="20"/>
						</xsl:call-template>
						</Data>
					</Row>
				</xsl:if>
			</TableData>
			
			<AlertMessage alert="true" status="3">
				<xsl:attribute name="display"><xsl:value-of select="$strCautionMessageDCP"/></xsl:attribute>
			</AlertMessage>
			
		</DataArea>
		<script language="javascript">
		function validate()
		{
			var oldCachePolicy = '<xsl:value-of select="/OMA/DiskWriteCache"/>';
			var selectedCachePolicy = "";
			if( null != document.getElementById("cache"))
				selectedCachePolicy = document.getElementById("cache").value;
			
			if(oldCachePolicy == selectedCachePolicy)
			{
				alert('<xsl:value-of select="$strSetAlertMessage"/>');
				return false;
			}
			return true;
		}
		</script>
	</xsl:template>

</xsl:stylesheet>