<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
	<xsl:variable name="strTitlePart1"><!--XLATESTART--> <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOfflineWarningTitle"><!--XLATESTART-->使物理磁盘脱机可导致数据丢失。 确定要使该物理磁盘脱机吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnlineWarningTitle"><!--XLATESTART-->使物理磁盘联机不会验证虚拟磁盘的奇偶校验或数据。 如果在物理磁盘出现故障时将数据写进虚拟磁盘，那么使故障物理磁盘联机可导致数据丢失。 强烈建议在联机任务完成之后允许物理磁盘自动重建以便完成或者对虚拟磁盘启动一致性检查。 确定要使该物理磁盘联机吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClearWarningTitle"><!--XLATESTART-->清除物理磁盘将擦除驻留在该物理磁盘上的数据。 确定要清除该物理磁盘吗？<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strEraseASecureDiskWarningTitle"><!--XLATESTART-->当执行 Cryptographic Erase（加密擦除）操作时，磁盘上的所有数据都将永久丢失。您是否确定要继续？<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strEraseASecureDiskWarningTitlePCIeSSD"><!--XLATESTART-->当执行 'Full Initilization' （完全初始化）操作时，磁盘上的任何数据将永久丢失。 确定要继续吗？<!--XLATESTOP--></xsl:variable>
	  <xsl:variable name="strCryptographicEraseASecureDiskWarningTitlePCIeSSD"><!--XLATESTART-->当执行 Cryptographic Erase（加密擦除）操作时，磁盘上的所有数据都将永久丢失。 您是否确定要继续？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClearWarningTitle"><!--XLATESTART-->确定要取消该物理磁盘上的 Clear task（清除任务）吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHSWarningTitle"><!--XLATESTART-->将物理磁盘分配为全局热备用之后，驻留在该物理磁盘上的任何数据都将丢失。 将物理磁盘分配为全局热备用之前，请验证它不包含数据。 确定要将该物理磁盘分配为全局热备用吗?<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepareWarningTitle"><!--XLATESTART--> 警告： 确定要准备物理磁盘进行移除吗？<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strPrepareWarningTitlePCIeSSD"><!--XLATESTART--> 警告： 确定要准备物理设备进行移除吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareWarningTitleHard"><!--XLATESTART--> 警告： 确定要准备物理磁盘进行移除吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart1"><!--XLATESTART-->物理磁盘<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strSubHeaderPart2"><!--XLATESTART--> <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancel"><!--XLATESTART-->上一步 <!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strCancel2"><!--XLATESTART-->上一步<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strBlink"><!--XLATESTART-->闪烁虚拟磁盘<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOnline"><!--XLATESTART-->联机<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strOffline"><!--XLATESTART-->脱机<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strClear"><!--XLATESTART-->清除<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strGHS"><!--XLATESTART-->分配全局热备份<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCancelClear"><!--XLATESTART-->取消清除<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove button description -->
	<xsl:variable name="strPrepare"><!--XLATESTART-->准备移除物理磁盘<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strPreparePCIeSSD"><!--XLATESTART-->准备移除物理设备<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareHard"><!--XLATESTART-->准备移除物理磁盘<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139174 - GUI: Incorrect Prepare to Remove page for Hard Disks connected to NRS channel -->
	<!-- Indravijay J. Gohil Using conditionals on  non raid drives to see which title/headers/button id's to use -->
	<xsl:variable name="strArrayDisk"><!--XLATESTART-->物理磁盘<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strHardDisk"><!--XLATESTART-->物理磁盘<!--XLATESTOP--></xsl:variable>
	<!-- DFCT139368 - GUI: Incomplete Warning and pop up when a disk is prepared for removal -->
	<!-- Indravijay J. Gohil Adding in the word adisk/hdisk as part of the remove adisk message -->
	<xsl:variable name="strRUSurePrepare"><!--XLATESTART-->确定要准备该物理磁盘进行移除吗？<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strRUSurePreparePCIeSSD"><!--XLATESTART-->确定要准备该物理设备进行移除吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSurePrepareHard"><!--XLATESTART-->确定要准备该物理磁盘进行移除吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOnline"><!--XLATESTART-->确定要使该物理磁盘联机吗?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureOffline"><!--XLATESTART-->确定要使该物理磁盘脱机吗?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureClear"><!--XLATESTART-->确定要清除该物理磁盘吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureCancelClear"><!--XLATESTART-->确定要在该物理磁盘上取消清除吗？<!--XLATESTOP--></xsl:variable>
      <xsl:variable name="strRUSureEraseASecureDisk"><!--XLATESTART-->确定要在该物理磁盘上执行“加密擦除”吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureGHS"><!--XLATESTART-->确定要将该物理磁盘分配为全局热备用吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure2"><!--XLATESTART--> <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSure3"><!--XLATESTART--> <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strQuestionMark"><!--XLATESTART-->?<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strEraseASecureDisk"><!--XLATESTART-->擦除加密的磁盘<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureEraseASecureDiskPCIeSSD"><!--XLATESTART-->确定要在该物理设备上执行 'Full Initilization'（完全初始化）吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strRUSureCryptographicEraseASecureDiskPCIeSSD"><!--XLATESTART-->确定要在该物理设备上执行 Cryptographic Erase （加密擦除）吗？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strEraseASecureDiskWarningMountTitlePart1"><!--XLATESTART-->执行“Cryptographic 擦除”操作时，磁盘上的任何数据将永久丢失。此设备当前已安装（<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strEraseASecureDiskWarningMountTitlePart2"><!--XLATESTART-->）且仍在使用中。我们建议在继续之前取消分配该设备。是否确定要继续？<!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strCryptographicEraseASecureDiskWarningIOHandleTitle"><!--XLATESTART-->执行“Cryptographic 擦除”操作时，磁盘上的任何数据将永久丢失。此设备仍在使用中。我们建议在继续之前停止所有应用程序访问该设备。是否确定要继续？<!--XLATESTOP--></xsl:variable>
    <xsl:variable name="strPrepareToRemoveMessage1Part1"><!--XLATESTART-->此设备当前已安装（安装点 = <!--XLATESTOP--></xsl:variable>
	<xsl:variable name="strPrepareToRemoveMessage1Part2"><!--XLATESTART-->）且可能仍在使用中。我们建议在继续之前取消安装文件系统。是否确定要继续？<!--XLATESTOP--></xsl:variable>
    <xsl:variable name="strPrepareToRemoveMessage2"><!--XLATESTART-->此设备仍在使用中。必须停止所有应用程序访问该设备才可继续。您是否确定要继续？<!--XLATESTOP--></xsl:variable>
    <xsl:variable name="strPrepareToRemoveMessage3"><!--XLATESTART-->我们建议在继续之前停止所有应用程序访问该设备。是否确定要准备移除物理设备？ <!--XLATESTOP--></xsl:variable>
    <xsl:variable name="strPrepareToRemoveMessage1Part1Win"><!--XLATESTART-->此设备当前已安装（驱动器号/路径 = <!--XLATESTOP--></xsl:variable>
    <xsl:variable name="strPrepareToRemoveMessage1Part2Win"><!--XLATESTART--> ）且可能仍在使用中。我们建议在继续之前取消分配驱动器号。是否确定要继续？<!--XLATESTOP--></xsl:variable>    
</xsl:stylesheet>
